Search Unity

Official Installing the native Apple silicon editor

Discussion in 'macOS' started by Tautvydas-Zilys, Oct 26, 2021.

  1. Wolfos

    Wolfos

    Joined:
    Mar 17, 2011
    Posts:
    951
    We really need a version selector in the hub. When working with a team you're always going to need a specific version and that'll almost never be the latest.

    Just make a dropdown and solve this whole painful UX problem.
     
    Last edited: Aug 3, 2022
    Petr777 and aromana like this.
  2. ErnestSurys

    ErnestSurys

    Joined:
    Jan 18, 2018
    Posts:
    94
    Too bad I can't install Intel and Apple Silicon versions of the release at the same time. I have two reasons to do it: the Apple Silicon version is causing massive OS freezes during compilation, so I switch to Intel one but I still want to check if the problem is fixed in the next release. Second: Embedded Linux builds are only possible on an Intel-based editor.
     
  3. toby-at-volta

    toby-at-volta

    Joined:
    Dec 13, 2021
    Posts:
    2
    Agreed – please improve Unity Hub to fully support architecture choice.

    Issue One – Modules

    I can find no way to install a previous Apple Silicon build of Editor with modules. It's a reasonable use-case that a developer on Apple Silicon might also need the iOS extensions for macOS Xcode and/or building iOS apps ~understatement~.

    Install via Hub on archive page – modules, but Intel only.
    Download installer on archive page – modules, but Intel only.
    Download Apple Silicon editor – no modules.

    Issue Two – Both architectures

    To verify architecture-specific issues having the both architectures of the (same point version) editor would be a great productivity boost. Remote logging into a machine with the other architecture editor is no fun.
     
    Elliott-Mitchell likes this.
  4. sachinhello

    sachinhello

    Joined:
    Dec 27, 2018
    Posts:
    35
    @Tautvydas-Zilys in mac mini 2020 unity hub version 3.3.0 after install or update then only loading screen show not going further i am frustrate because i didnot see the option to download downgraded unity hub version.
     
  5. Elliott-Mitchell

    Elliott-Mitchell

    Joined:
    Oct 8, 2015
    Posts:
    88
    PLEASE!!! This is incredibly time consuming to work around
     
  6. yusufdemir2012

    yusufdemir2012

    Joined:
    Dec 21, 2013
    Posts:
    50
    Is there any news about issue one?
     
  7. Elliott-Mitchell

    Elliott-Mitchell

    Joined:
    Oct 8, 2015
    Posts:
    88
    Oh look.
    3.4.0-beta.1

    Dec. 7, 2022
    What’s new
    • Apple Intel and silicon Editor versions can now be managed side-by-side in the Hub, enabling you to seamlessly switch between Intel and silicon Editor versions as needed.
    https://unity.com/unity-hub/release-notes
     
    Wolfos and ErnestSurys like this.
  8. Petr777

    Petr777

    Joined:
    Nov 8, 2017
    Posts:
    49
    Can you tell me please will Intel modules (iOS and Android) from the Intel version of Unity work with the Silicon version of the editor?
    I need to install Unity3d version 2021.3.14
    I found in the download archive the version of the Unity3d Editor 2021.3.14 for silicon
    But I did not find how to download Silicon modules for it (iOS and Android)
     
  9. Tautvydas-Zilys

    Tautvydas-Zilys

    Unity Technologies

    Joined:
    Jul 25, 2013
    Posts:
    10,678
    They're the same modules, they work on both editors.
     
    Petr777 likes this.